Skip to main content
POST
/
api
/
v2.1
/
fintrans
/
{accountId}
/
beneficiaries
cURL
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/beneficiaries \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "purposeCode": "SUPP",
  "postalCode": "LT-01103",
  "shortName": "",
  "bicSwiftCode": "SONCLT21",
  "city": "Vilnius",
  "email": "customer.20260331114946-387074@testcorp.com",
  "bankName": "UAB Sonect Europe",
  "currency": "EUR",
  "country": "LT",
  "networkName": "SEPA",
  "firstName": "John",
  "lastName": "Customer",
  "bankAddress": "Gedimino pr. 20, Vilnius, Lithuania",
  "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
  "addressLine1": "1 Test Street",
  "partyType": "INDIVIDUAL_CUSTOMER",
  "iban": "LT213320011000055860",
  "companyName": ""
}
'
{
  "code": 200,
  "data": {
    "id": "3114774a-aa94-4648-9e57-5ff226ef02dd",
    "name": "",
    "iban": "LT213320011000055860",
    "type": "INDIVIDUAL_CUSTOMER",
    "status": "ACTIVE",
    "currency": "EUR",
    "country": "",
    "email": "",
    "phoneNumber": "",
    "shortName": "",
    "networkName": "SEPA",
    "bankName": "",
    "purposeCode": "",
    "assetId": "eba40e17-e539-430e-a6cc-2b0f01e4c86e"
  },
  "message": "Success"
}

Endpoint

POST /api/v2.1/fintrans/{accountId}/beneficiaries This endpoint adds a beneficiary to a specific FinTrans account. The sample below is aligned with step10-add-beneficiary.json.

Sample cURL

curl --request POST \
  --url "https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/beneficiaries" \
  --header "Authorization: Bearer <ACCESS_TOKEN>" \
  --header "X-Tenant-ID: <TENANT_ID>" \
  --header "X-Forwarded-For: 127.0.0.1" \
  --header "X-Forwarded-From: integration-client" \
  --header "platform: web" \
  --header "deviceId: integration-device" \
  --header "Content-Type: application/json" \
  --data '{
    "purposeCode": "SUPP",
    "postalCode": "LT-01103",
    "shortName": "",
    "bicSwiftCode": "SONCLT21",
    "lastName": "Customer",
    "city": "Vilnius",
    "email": "customer.20260331114946-387074@testcorp.com",
    "bankName": "UAB Sonect Europe",
    "currency": "EUR",
    "country": "LT",
    "networkName": "SEPA",
    "firstName": "John",
    "bankAddress": "Gedimino pr. 20, Vilnius, Lithuania",
    "customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
    "addressLine1": "1 Test Street",
    "partyType": "INDIVIDUAL_CUSTOMER",
    "iban": "LT213320011000055860",
    "companyName": ""
  }'

Example success response

{
  "code": 200,
  "data": {
    "id": "3114774a-aa94-4648-9e57-5ff226ef02dd",
    "name": "",
    "iban": "LT213320011000055860",
    "type": "INDIVIDUAL_CUSTOMER",
    "status": "ACTIVE",
    "currency": "EUR",
    "country": "",
    "email": "",
    "phoneNumber": "",
    "shortName": "",
    "networkName": "SEPA",
    "bankName": "",
    "purposeCode": "",
    "assetId": "eba40e17-e539-430e-a6cc-2b0f01e4c86e"
  },
  "message": "Success"
}

Headers

X-Forwarded-For
string
required
X-Tenant-ID
string
required
X-Forwarded-From
string
required
platform
string
required
deviceId
string
required
Authorization
string
required

Path Parameters

accountId
string
required

Body

application/json
purposeCode
string
required
Example:

"SUPP"

postalCode
string
required
Example:

"LT-01103"

bicSwiftCode
string
required
Example:

"SONCLT21"

city
string
required
Example:

"Vilnius"

email
string
required
Example:

"customer.20260331114946-387074@testcorp.com"

bankName
string
required
Example:

"UAB Sonect Europe"

currency
string
required
Example:

"EUR"

country
string
required
Example:

"LT"

networkName
string
required
Example:

"SEPA"

firstName
string
required
Example:

"John"

lastName
string
required
Example:

"Customer"

bankAddress
string
required
Example:

"Gedimino pr. 20, Vilnius, Lithuania"

customerId
string
required
Example:

"2dac1793-ab48-420c-b0b5-01292302e188"

addressLine1
string
required
Example:

"1 Test Street"

partyType
string
required
Example:

"INDIVIDUAL_CUSTOMER"

iban
string
required
Example:

"LT213320011000055860"

shortName
string
Example:

""

companyName
string
Example:

""

Response

201 - application/json

Beneficiary created

code
integer
Example:

200

data
object
message
string
Example:

"Success"